#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GreaterThanSeriesNode {
    #[builder(custom(type = super::NumericSeriesNode, convert = Box::new))]
    #[serde(rename = "left")]
    left: Box<super::NumericSeriesNode>,
    #[builder(custom(type = super::NumericSeriesNode, convert = Box::new))]
    #[serde(rename = "right")]
    right: Box<super::NumericSeriesNode>,
    #[builder(custom(type = super::InterpolationConfiguration, convert = Box::new))]
    #[serde(rename = "interpolationConfiguration")]
    interpolation_configuration: Box<super::InterpolationConfiguration>,
}
impl GreaterThanSeriesNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        left: super::NumericSeriesNode,
        right: super::NumericSeriesNode,
        interpolation_configuration: super::InterpolationConfiguration,
    ) -> Self {
        Self::builder()
            .left(left)
            .right(right)
            .interpolation_configuration(interpolation_configuration)
            .build()
    }
    #[inline]
    pub fn left(&self) -> &super::NumericSeriesNode {
        &*self.left
    }
    #[inline]
    pub fn right(&self) -> &super::NumericSeriesNode {
        &*self.right
    }
    #[inline]
    pub fn interpolation_configuration(&self) -> &super::InterpolationConfiguration {
        &*self.interpolation_configuration
    }
}
